org.apache.http

## Class ConnectionClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.ConnectionClosedException

All Implemented Interfaces:
  Serializable

    public class ConnectionClosedException
    extends IOException

Signals that the connection has been closed unexpectedly.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConnectionClosedException(String message)` Creates a new ConnectionClosedException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionClosedException

    public ConnectionClosedException(String message)

Creates a new ConnectionClosedException with the specified detail message.

Parameters:
  `message` - The exception detail message